List offers
Lists offers with pagination and optional filtering/ordering.
Note: The type query parameter is required.
Query Parameters
- Type: stringenumtyperequired
Filter offers by type.
values- banner
- sale
- Type: integerpagemin:1
The result page number to fetch. The first page has number 1.
- Type: integerpage
_size min:1max:100How many results to return per page.
- Type: stringenumfilter
_type Type of filtering to perform.
values- field
- field
-prefix - field
-search
- Type: stringfilter
_field Field to filter on. Searchable fields include
offer_idandtitle. - Type: stringfilter
_value Value to filter by.
- Type: stringorder
_field Field to order results by. Orderable fields include
offer_idandtitle. - Type: stringenumorder
_direction Direction to order results.
values- asc
- desc
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/offer
curl 'https://sandbox.billogram.com/api/v2/offer?type=banner&page=1&page_size=25&filter_type=field&filter_field=&filter_value=&order_field=&order_direction=asc' \
--header 'Authorization: Basic username:password'
{
"status": "OK",
"data": [
{
"offer_id": "banner001",
"type": "banner",
"title": "string",
"text": "string",
"media": {
"picture": "string",
"picture_type": "image/png"
},
"link_text": "string",
"created_at": "2026-04-29T11:19:15.647Z",
"updated_at": "2026-04-29T11:19:15.647Z",
"info_link": "string"
}
],
"meta": {
"total_count": 1
}
}